runnerconf = File.read("GitlabTokenInput").split("\n")
Vagrant.configure("2") do |config|
    config.vm.define "dockerunner" do |dockerunner|
        dockerunner.vm.box = "generic/rocky8"
        dockerunner.vm.hostname = "Dockerunner"
        dockerunner.vm.provision "shell" do |shell|
            shell.path = "provision.sh"
            shell.args = runnerconf
        end
    end
    config.vm.provider "virtualbox" do |virtualbox|
        virtualbox.memory = 4096
        virtualbox.cpus = 1
    end
end